"""Estimators for meta-analyses and meta-regressions."""

from .combination import FisherCombinationTest, StoufferCombinationTest
from .estimators import (
    DerSimonianLaird,
    Hedges,
    SampleSizeBasedLikelihoodEstimator,
    StanMetaRegression,
    VarianceBasedLikelihoodEstimator,
    WeightedLeastSquares,
)

__all__ = [
    "WeightedLeastSquares",
    "DerSimonianLaird",
    "VarianceBasedLikelihoodEstimator",
    "SampleSizeBasedLikelihoodEstimator",
    "StanMetaRegression",
    "Hedges",
    "StoufferCombinationTest",
    "FisherCombinationTest",
]
